local _, L = ...
local locale = GetLocale()

if locale == "ruRU" then -- Russian translation
	L["AddonName"] = "Д'Артаньян";

	L["HelpName"] = "Справка";
	L["HelpDesc"] = "Справка по пользованию аддоном";
	L["HelpText"] = {
	"Д'Артаньян - это аддон, помогающий в охоте на ботов.",
	"Если вы видите игрока, который похож не на игрока, а очень даже на бота, то вы можете выделить его и нажать Красную Кнопку. Он будет добавлен в список встреченных ботов. Если вы ошиблись, вы можете покрутить колесико мышки над Кнопкой, и последний игрок будет удален из списка. Для удаления нескольких игроков крутите колесико в другую сторону. Когда вы отметили достаточно ботов, вы можете щелкнуть средней кнопкой мыши по Кнопке и скопировать детальный отчет в окно запроса в WoW или Battle.Net.",
	"В настройках аддона вы можете выбрать:",
	"- автоматически сообщать ли в чат БГ о замеченом боте;",
	"- перехватывать ли стандартные сообщения об AFK и добавлять отмеченных игроков в список;",
	"- возможность удалять из списка игроков, написавших вам личное сообщение;",
	"- разрешить или нет повторное добавление одного и того же персонажа в список;",
	"Увы, Близзард удалили возможность репортить за АФК прямо из аддона.",
	"И помните, наш девиз: 'Один за всех, и все за одного!'",
	}

	L["ChatReport"] = "|c0000CCFFОтмечен бот|r %s |c0000CCFFс сервера|r %s |c0000CCFFв|r %02u:%02u:%02u |c0000CCFFсерверного времени. %s|r";
	L["DoubleReport"] = "|c0000CCFFБот|r %s |c0000CCFFс сервера|r %s |c0000CCFFуже находится в списке ботов!|r";
	L["ReportDeleted"] = "|c0000CCFFИгрок|r %s |c0000CCFFс сервера|r %s |c0000CCFFудален из списка ботов!|r";

	L["BGBeginning"] = "Работает аддон Д'Артаньян! Все замеченные боты будут записаны, а список - передан администрации сервера!";
	L["BGChatReport"] = "Игрок с ником %s - бот! Рекомендую отрепортить его! ";
	L["BGChatWhisper"] = "Если игрок не является ботом, он может написать личное сообщение с любым текстом, и его удалят из списка ботов!";
	L["BGChatDeleted"] = "Игрок с ником %s - человек, а не бот! Он удален из списка ботов!";

	L["BGChatReportName"] = "Использовать чат";
	L["BGChatReportDesc"] = "Сообщать о действиях аддона в чат БГ";
	L["BGReportAFKName"] = "Сообщать об отсутствии";
	L["BGReportAFKDesc"] = "Автоматически при каждом определении бота сообщать о AFK";
	L["BGHookAFKName"] = "Перехватывать сообщение об отсутствии";
	L["BGHookAFKDesc"] = "При каждом сообщении о AFK отмечать выбранного игрока как бота";
	L["BGRemoveByWhisperName"] = "Отмена по личному сообщению";
	L["BGRemoveByWhisperDesc"] = "Если игрок из списка ботов прислал вам личное сообщение, удалять его из списка";

	L["RPAllowDoubleName"] = "Разрешить повторную отметку бота";
	L["RPAllowDoubleDesc"] = "Разрешить многократное внесение в список одного и того же игрока";

	L["OneForAll"] = "Один за всех и все за одного!";
	L["Head"] = "Здравствуйте! Я хочу сообщить о том, что нижеперечисленные игроки  были замеченны в использовании ботов, прошу вас провести проверку и принять соответствующие меры по отношению к владельцам этих учетных записей. Время указано серверное.\r\n\r\n";
	L["TextReport"] = "[Боттинг] %02u.%02u.%02u %02u:%02u:%02u Ник: %s, сервер: %s, зона: %s\r\n";
	L["Title"] = "Отчет";
	L["Copypaste"] = "Скопируйте отчет в окно запроса Blizzard:";

else -- English defaults
	L["AddonName"] = "D'Artagnan";

	L["HelpName"] = "Help";
	L["HelpDesc"] = "Help for using addon";
	L["HelpText"] = {
	"D'Artangan is the 'Report-a-Bot' manager.",
	"If you see a player, who acts not like a player, but like a bot, you can select him and left-click The Red Button. He will be added to the bot list. If you are mistaken, you can scroll your mouse over the Button, and ONE last report will be deleted. For multiple cancelling, scroll your mouse in opposite direction. When you captured a lot of bots, you can middle-click The Red Button and copypaste the detailed log to the WoW or Battle.Net report frame.",
	"Instead of using the Button, you can use macros: '/dartagnan report' for adding to report list, '/dartagnan cancel' for cancelling the last report, and '/dartagnan gui' to show the list frame.",
	"Configuration includes:",
	"- option to turn on and off announcing the addon's actions to BG chat;",
	"- option to hook the standart Blizzard right-click AFK-report so reported players will be included to the bot log;",
	"- option to remove players from list when they whisper to you;",
	"- option to allow or deny the multy-reporting of the same bot;",
	"Alas, Blizzards had removed the ability to AFK-report from addon.",
	"And remember, our motto is: 'All for one, one for all!'",
	}

	L["ChatReport"] = "|c0000CCFFReported a bot|r %s |c0000CCFFfrom realm|r %s |c0000CCFFat |r %02u:%02u:%02u |c0000CCFFby server time. %s|r";
	L["DoubleReport"] = "|c0000CCFFBot|r %s |c0000CCFFfrom realm|r %s |c0000CCFFis already in list of bots!|r";
	L["ReportDeleted"] = "|c0000CCFFPlayer|r %s |c0000CCFFfrom realm|r %s|c0000CCFFwas removed from list of bots!|r";

	L["BGBeginning"] = "Addon D'Artagnan is running! All detected bots will be logged and reported to Blizzard!";
	L["BGChatReport"] = "Player %s is bot! I recommend you to report him! ";
	L["BGChatWhisper"] = "If the player isn't a bot, he may whisper with any text, and he will be deleted from bots list!";
	L["BGChatDeleted"] = "Player %s is a human, not a bot! He was removed from bots list!"

	L["BGChatReportName"] = "Use chat";
	L["BGChatReportDesc"] = "Announce addon's actions to BG chat";
	L["BGReportAFKName"] = "Report for AFK";
	L["BGReportAFKDesc"] = "Automatically report marked bots for AFK";
	L["BGHookAFKName"] = "Hook AFK reports";
	L["BGHookAFKDesc"] = "On each report for AFK mark reported player as bot";
	L["BGRemoveByWhisperName"] = "Remove by whisper";
	L["BGRemoveByWhisperDesc"] = "If a bot from bots list sends you a whisper, remove him from list";

	L["RPAllowDoubleName"] = "Allow double-reporting";
	L["RPAllowDoubleDesc"] = "Allow multiple reporting of the same bot";

	L["OneForAll"] = "All for one, one for all!";
	L["Head"] = "Hello! I'd like to report players listed below who were seen using bots. Please, check and take proper measures against owners of these accounts. Listed time is server time.\r\n\r\n";
	L["TextReport"] = "[Botting] %2$02u.%1$02u.%3$02u %4$02u:%5$02u:%6$02u Nick: %7$s, realm: %8$s, location: %9$s\r\n";
	L["Title"] = "Report";
	L["Copypaste"] = "Copypaste it to the Blizzard report window:";
end
